package ecoparasite.poisson;

import ecoparasite.input.DataParsing;
import ecoparasite.input.RawData;

import java.util.HashSet;

/**
 * Hérite de Poisson.
 * Ajoute les fonctions de Parsing liés aux données collectées sur le Merlu.
 */
public class Merlu extends Poisson implements DataParsing {

    /**
     * Construteur d'un merlu
     * @param length Un Wrapper Double representant la longueur/taille du poisson
     * @param infestation Un Wrapper Double representant le taux de parasite du poisson
     */
    public Merlu(Double length, Double infestation) {
        super("Merlu", length, null, infestation);
    }

    /**
     * Implémentation de la fonction parse de Dataparsing
     * @param data
     * @return tableau des poissons
     */
    @Override
    public HashSet<Poisson> parse(RawData data) { //TODO

        HashSet<Poisson> fishSet;
        fishSet = new HashSet<>();


        return fishSet;
    }
}
